Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.mailvalidator
Class MailValidation

    java.lang.Object
      org.pentaho.di.trans.steps.mailvalidator.MailValidation

    public class MailValidation

extends Object

Constructor Summary
`MailValidation()`

Method Summary
`static MailValidationResult` | `isAddressValid(String address, String senderAddress, String defaultSMTPServer, int timeout, boolean deepCheck)` Validate an email address This code is from : http://www.rgagnon.com/javadetails/java-0452.html
`static boolean` | `isRegExValid(String emailAdress)`
`static int` | `mailServersCount(String hostName)` verify if there is a mail server registered to the domain name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MailValidation

    public MailValidation()

Method Detail

### isRegExValid

    public static boolean isRegExValid(String emailAdress)

### mailServersCount

    public static int mailServersCount(String hostName)
                                throws NamingException

  verify if there is a mail server registered to the domain name. and return the email servers count

  Throws:
    `NamingException`

### isAddressValid

    public static MailValidationResult isAddressValid(String address,
                                                      String senderAddress,
                                                      String defaultSMTPServer,
                                                      int timeout,
                                                      boolean deepCheck)

  Validate an email address This code is from : http://www.rgagnon.com/javadetails/java-0452.html

  Parameters:
    `email` - address
    `sender` - email address
    `default` - SMTP Server
    `timeout` - for socket connection
    `deepCheck` - (if we want to perform a SMTP check
  Returns:
    true or false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD